
/*
  This header-file is produced automatically (at least in part) by
  makeHeader of BLAB, Ifi, UiO.
*/


/*

________________________________________________________________

        haar.h
        $Id: haar.h,v 1.10 2004/11/24 08:27:19 svein Exp $
        Copyright 1990, Blab, UiO
        Image processing lab, Department of Informatics
        University of Oslo
        E-mail: blab@ifi.uio.no
________________________________________________________________
  
  Permission to use, copy, modify and distribute this software and its
  documentation for any purpose and without fee is hereby granted, 
  provided that this copyright notice appear in all copies and that 
  both that copyright notice and this permission notice appear in supporting
  documentation and that the name of B-lab, Department of Informatics or
  University of Oslo not be used in advertising or publicity pertaining 
  to distribution of the software without specific, written prior permission.

  B-LAB DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL B-LAB
  BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 

*/

#ifndef _HAAR_H_
#define _HAAR_H_

_XITE_CPLUSPLUS_BEGIN

#include <xite/biff.h>


extern _XITE_WIN_DLL int haar1d  _XITE_PARAMS(( float *a1, float *a2, int size ));
extern _XITE_WIN_DLL int haari1d  _XITE_PARAMS(( float *a1, float *a2, int size ));
extern _XITE_WIN_DLL int haar2d  _XITE_PARAMS(( IR_BAND b1, IR_BAND b2 ));
extern _XITE_WIN_DLL int haari2d  _XITE_PARAMS(( IR_BAND b1, IR_BAND b2 ));
extern _XITE_WIN_DLL int haarTexture  _XITE_PARAMS(( IR_BAND input, IR_BAND output, int xp, int yp ));

_XITE_CPLUSPLUS_END

#endif /* _HAAR_H_ */
