
/*
  This header-file is produced automatically (at least in part) by
  makeHeader of BLAB, Ifi, UiO.
*/


/*

________________________________________________________________

        pyramid.h
        $Id: pyramid.h,v 1.8 2004/11/23 13:24:26 svein Exp $
        Copyright 1990, Blab, UiO
        Image processing lab, Department of Informatics
        University of Oslo
        E-mail: blab@ifi.uio.no
________________________________________________________________
  
  Permission to use, copy, modify and distribute this software and its
  documentation for any purpose and without fee is hereby granted, 
  provided that this copyright notice appear in all copies and that 
  both that copyright notice and this permission notice appear in supporting
  documentation and that the name of B-lab, Department of Informatics or
  University of Oslo not be used in advertising or publicity pertaining 
  to distribution of the software without specific, written prior permission.

  B-LAB DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL B-LAB
  BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 

*/

#ifndef _PYRAMID_H_
#define _PYRAMID_H_

_XITE_CPLUSPLUS_BEGIN

#include <xite/biff.h>


extern _XITE_WIN_DLL int pyramidAver2  _XITE_PARAMS(( IBAND b1, IBAND b2 ));
extern _XITE_WIN_DLL int pyramidRank2  _XITE_PARAMS(( IBAND b1, IBAND b2, int rank ));
extern _XITE_WIN_DLL int pyramidGauss5  _XITE_PARAMS(( IBAND b1, IBAND b2, ISS_BAND conv ));
extern _XITE_WIN_DLL int mkPyramidAver2  _XITE_PARAMS(( IBAND b, IMAGE *i, int n ));
extern _XITE_WIN_DLL int mkPyramidRank2  _XITE_PARAMS(( IBAND b, IMAGE *i, int rank, int n ));
extern _XITE_WIN_DLL int mkPyramidGauss5  _XITE_PARAMS(( IBAND b, IMAGE *i, ISS_BAND conv, int n ));

_XITE_CPLUSPLUS_END

#endif /* _PYRAMID_H_ */
