#!/bin/sh

# $Id: matlabXite.sh,v 1.4 2014/02/22 12:24:53 svein Exp $

# XITE applications involving matlab library functions
# should be links to this script.

prog=`basename $0`
dir=`dirname $0`
if test -n "$dir"; then
    prog_full=${dir}/${prog};
else
    prog_full=$prog;
fi

_matlab_lib_bin_path=

if [ -z "$_matlab_lib_bin_path" -o ! -d "$_matlab_lib_bin_path" ]; then
    return 0;
fi

_ld_lib_path=$LD_LIBRARY_PATH

if [ -n "$LD_LIBRARY_PATH" ]; then
    if ! echo ${LD_LIBRARY_PATH} | /bin/grep -q $_matlab_lib_bin_path ; then
	LD_LIBRARY_PATH=$_matlab_lib_bin_path:$LD_LIBRARY_PATH
    fi
else
    LD_LIBRARY_PATH=$_matlab_lib_bin_path
fi

LD_LIBRARY_PATH="$LD_LIBRARY_PATH" ${prog_full}.bin "$@"
