#!/bin/sh

# $Id: xiteProg.sh,v 1.11 2014/02/10 13:08:59 svein Exp $

# XITE X applications should be links to this script.

prog=`basename $0`
dir=`dirname $0`
if test -n "$dir"; then
    prog_full=${dir}/${prog};
else
    prog_full=$prog;
fi

export XAPPLRESDIR=

if [ "$XUSERFILESEARCHPATH" != "" ]; then
    XUSERFILESEARCHPATH=$XUSERFILESEARCHPATH:$XAPPLRESDIR/%N
    export XUSERFILESEARCHPATH
fi

#XITE_HOME=
if [ "$prog" == "xshow" ]; then
    prevPath="$XSHOWPATH"

    # Path set during installation
    XSHOWPATH=

    # Add on path previously set by user, if different from XSHOWPATH
    finalPath="$XSHOWPATH"
    IFS=":"
    for part in $prevPath; do
	if [ -n "$part" -a "$part" != "$XSHOWPATH" ]; then
	    finalPath="$finalPath:$part"
	fi
    done

    if [ "$finalPath" != "$XSHOWPATH" ]; then
	XSHOWPATH="$finalPath"
    fi
    export XSHOWPATH
fi

exec "${prog_full}.bin" -name $prog "$@"
